<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	$('#basicTable').bootstrapTable({
		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
               //显示检索按钮
	       showSearch: true,
               //显示刷新按钮
               showRefresh: true,
               //显示切换手机试图按钮
               showToggle: true,
               //显示 内容列下拉框
    	       showColumns: true,
    	       //显示到处按钮
    	       showExport: true,
    	       //显示切换分页按钮
    	       showPaginationSwitch: true,
    	       //显示详情按钮
    	       detailView: true,
    	       	//显示详细内容函数
	           // detailFormatter: "detailFormatter",
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
               cache: false,
               //是否显示分页（*）
               pagination: true,
                //排序方式
               sortOrder: "asc",
               //初始化加载第一页，默认第一页
               pageNumber:1,
               //每页的记录行数（*）
               pageSize: 10,
               //可供选择的每页的行数（*）
               pageList: [10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
               url: "${ctx}/filing/constructionStage/data",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',
               ////查询参数,每次调用是会带上这个参数，可自定义
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onContextMenuItem: function(row, $el){
                   if($el.data("item") == "edit"){
                   		edit(row.id);
                   }else if($el.data("item") == "view"){
                       view(row.id);
                   } else if($el.data("item") == "delete"){
                        jp.confirm('确认要删除该工程建设阶段记录吗？', function(){
                       	jp.loading();
                       	jp.get("${ctx}/filing/constructionStage/delete?id="+row.id, function(data){
                   	  		if(data.success){
                   	  			$('#basicTable').bootstrapTable('refresh');
                   	  			jp.success(data.msg);
                   	  		}else{
                   	  			jp.error(data.msg);
                   	  		}
                   	  	})

                   	});

                   }
               },
		/*		onPostBody:function(){
					window.rowProps = undefined;
					_table_rowspan("#basicTable" , 1);
					_table_rowspan("#basicTable" , 2);
					_table_rowspan("#basicTable" , 3);
					_table_rowspan("#basicTable" , 4);
					_table_rowspan("#basicTable" , 5);
					return true;
				},*/
               onClickRow: function(row, $el){
               },
               	onShowSearch: function () {
			$("#search-collapse").slideToggle();
		},
               columns: [{
		        checkbox: true

		    }
			,{
		        field: 'projectCode',
		        title: '项目编码',
			    width: 100,
		        sortable: true,
		        sortName: 'projectCode'
		        ,formatter:function(value, row , index){
			   if(value == null || value ==""){
				   value = "-";
			   }
			   <c:choose>
				   <c:when test="${fns:hasPermission('test:filing:constructionStage:edit')}">
				      return "<a href='javascript:edit(\""+row.id+"\")'>"+value+"</a>";
			      </c:when>
				  <c:when test="${fns:hasPermission('test:filing:constructionStage:view')}">
				      return "<a href='javascript:view(\""+row.id+"\")'>"+value+"</a>";
			      </c:when>
				  <c:otherwise>
				      return value;
			      </c:otherwise>
			   </c:choose>

		        }
		    }
			,{
		        field: 'monomerCode',
		        title: '单体编码',
		        sortable: true,
			   width: 100,
		        sortName: 'monomerCode'

		    }
			,{
		        field: 'entryName',
		        title: '项目名称',
			   width: 100,
		        sortable: true,
		        sortName: 'entryName'

		    }
			,{
		        field: 'commDate',
		        title: '开工日期',
			   width: 100,
		        sortable: true,
		        sortName: 'commDate'
		    }
				   , {
					   field: 'compDate',
					   title: '竣工日期',
					   width: 100,
					   sortable: true,
					   sortName: 'compDate'

				   }
				   , {
					   field: 'cossDate',
					   title: '投运日期',
					   width: 100,
					   sortable: true,
					   sortName: 'cossDate'

				   }
				   , {
					   field: 'acceptanceDate',
					   title: '环评验收日期',
					   width: 100,
					   sortable: true,
					   sortName: 'acceptanceDate'

				   }
				   , {
					   field: 'soilWaterDate',
					   title: '水保验收日期',
					   width: 100,
					   sortable: true,
					   sortName: 'soilWaterDate'

				   }
				   , {
					   field: 'dispatchingNaming',
					   title: '调度命名编号',
					   width: 100,
					   sortable: true,
					   sortName: 'dispatchingNaming'

				   }
				   , {
					   field: 'resultsSafety',
					   title: '安全质量量化考核成果',
					   width: 100,
					   sortable: true,
					   sortName: 'resultsSafety'

				   }
				   , {
					   field: 'cardInformation',
					   title: '增资产生的卡片信息',
					   width: 100,
					   sortable: true,
					   sortName: 'cardInformation'

				   }
				   , {
					   field: 'nameOfSubcontractor',
					   title: '分包单位名称',
					   width: 100,
					   sortable: true,
					   sortName: 'nameOfSubcontractor'
				   }
				   , {
					   field: 'projectLocation',
					   title: '项目地点',
					   width: 100,
					   sortable: true,
					   sortName: 'projectLocation'

				   }
				   , {
					   field: 'levelRiskContent',
					   title: '四级风险内容',
					   width: 100,
					   sortable: true,
					   sortName: 'levelRiskContent'

				   }
				   , {
					   field: 'levelRiskTime',
					   title: '四级风险实施时间',
					   width: 100,
					   sortable: true,
					   sortName: 'levelRiskTime'

				   }
				   , {
					   field: 'standStartTime',
					   title: '“标准化开工”时间',
					   width: 100,
					   sortable: true,
					   sortName: 'standStartTime'

				   }
				   , {
					   field: 'standTransferTime',
					   title: '“标准化转序”时间',
					   width: 100,
					   sortable: true,
					   sortName: 'standTransferTime'

				   }
				   , {
					   field: 'standAcceptanceTime',
					   title: '“标准化预验收”时间',
					   width: 100,
					   sortable: true,
					   sortName: 'standAcceptanceTime'

				   }
				   , {
					   field: 'dateOfInterview',
					   title: '约谈日期',
					   width: 100,
					   sortable: true,
					   sortName: 'dateOfInterview'

				   }
				   , {
					   field: 'accumulatedAmount',
					   title: '累计扣款金额',
					   width: 100,
					   sortable: true,
					   sortName: 'accumulatedAmount'

				   }
				   , {
					   field: 'mattersLeft',
					   title: '工程遗留相关事项',
					   width: 100,
					   sortable: true,
					   sortName: 'mattersLeft'

				   }
		     ],
		onExpandRow: function (index, row, $detail) {
			initSubTable(index, row, $detail);
		}
		});

	//初始化子表格(无线循环)
	initSubTable = function (index, row, $detail) {
		var parentid = row.projectCode;
		var cur_table = $detail.html('<table></table>').find('table');
		$(cur_table).bootstrapTable({
			url: '${ctx}/filing/constructionStage/detail',
			method: 'post',
			//类型json
			dataType: "json",
			contentType: "application/x-www-form-urlencoded",
			queryParams : function(params) {
				var searchParam = $("#searchForm").serializeJSON();
				searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
				searchParam.pageSize = params.limit === undefined? -1 : params.limit;
				searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
				searchParam.projectCode = parentid;
				return searchParam;
			},
			striped: true, //是否显示行间隔色
			pagination: false,//显示分页
			sidePagination: "server",
			pageNumber:1,
			pageSize: 10,
			pageList: [10, 25],
			columns: [{
				width: 65
			},{
					field: 'projectCode',
					width: 100
					,formatter:function(value, row , index){
						if(value == null || value ==""){
							value = "-";
						}
					<c:choose>
						<c:when test="${fns:hasPermission('test:filing:constructionStage:edit')}">
						return "<a href='javascript:edit(\""+row.id+"\")'>"+value+"</a>";
					</c:when>
						<c:when test="${fns:hasPermission('test:filing:constructionStage:view')}">
						return "<a href='javascript:view(\""+row.id+"\")'>"+value+"</a>";
					</c:when>
						<c:otherwise>
						return value;
					</c:otherwise>
						</c:choose>

					}
				}
				,{
					field: 'monomerCode',
					width: 100,

				}
				,{
					field: 'entryName',
					width: 100,
				}
				,{
					field: 'commDate',
					width: 100,
				}
				, {
					field: 'compDate',
					width: 100,
				}
				, {
					field: 'cossDate',
					width: 100,
				}
				, {
					field: 'acceptanceDate',
					width: 100,
				}
				, {
					field: 'soilWaterDate',
					width: 100,
				}
				, {
					field: 'dispatchingNaming',
					width: 100,
				}
				, {
					field: 'resultsSafety',
					width: 100,
				}
				, {
					field: 'cardInformation',
					width: 100,
				},{
					field: 'nameOfSubcontractor',
					width: 100,
				}
				, {
					field: 'projectLocation',
					width: 100,
				}
				, {
					field: 'levelRiskContent',
					width: 100,
				}
				, {
					field: 'levelRiskTime',
					width: 100,
				}
				, {
					field: 'standStartTime',
					width: 100,
				}
				, {
					field: 'standTransferTime',
					width: 100,
				}
				, {
					field: 'standAcceptanceTime',
					width: 100,
				}
				, {
					field: 'dateOfInterview',
					width: 100,
				}
				, {
					field: 'accumulatedAmount',
					width: 100,
				}
				, {
					field: 'mattersLeft',
					width: 100,
				}
				]
		});
	};

		  
	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端

		 
		  $('#basicTable').bootstrapTable("toggleView");
		}
	  
	  $('#basicTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#basicTable').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#basicTable').bootstrapTable('getSelections').length!=1);
        });
		  
		$("#btnImport").click(function(){
			jp.open({
			    type: 2,
                area: [500, 200],
                auto: true,
			    title:"导入数据",
			    content: "${ctx}/tag/importExcel" ,
			    btn: ['下载模板','确定', '关闭'],
				btn1: function(index, layero){
					  jp.downloadFile('${ctx}/filing/constructionStage/import/template');
				  },
			    btn2: function(index, layero){
						var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
						iframeWin.contentWindow.importExcel('${ctx}/filing/constructionStage/import', function (data) {
							if(data.success){
								jp.success(data.msg);
								refresh();
							}else{
								jp.error(data.msg);
							}
                            jp.close(index);
                        });//调用保存事件
                    return false;
				  },
				 
				  btn3: function(index){ 
					  jp.close(index);
	    	       }
			}); 
		});
	  $("#export").click(function(){//导出Excel文件
			jp.downloadFile('${ctx}/filing/constructionStage/export');
	  });

	$("#exportFiles").bind("click", function () {
		$("#searchForm").attr("action","${ctx}/filing/filingImages/exportConstructionStage?ids="+ getIdSelections());
		$("#searchForm").submit();
		return true;
	});

	/*$("#exportFiles").click(function(){//导出Excel文件
		jp.downloadFile('${ctx}/filing/constructionStage/exportFiles?ids=' + getIdSelections());
	});*/

	  $("#search").click("click", function() {// 绑定查询按扭
		  $('#basicTable').bootstrapTable('refresh');
		});

	  $("#open").click(function () {
		  $("#basicTable").bootstrapTable('expandAllRows');
	  })

		$("#close").click(function (row) {
			$('#basicTable').bootstrapTable('refresh');
		})

	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		   $("#searchForm  .select-item").html("");
		  $('#basicTable').bootstrapTable('refresh');
		});
		
				$('#beginInDate').datetimepicker({
					 format: "YYYY-MM-DD HH:mm:ss"
				});
				$('#endInDate').datetimepicker({
					 format: "YYYY-MM-DD HH:mm:ss"
				});
		
	});
		
  function getIdSelections() {
        return $.map($("#basicTable").bootstrapTable('getSelections'), function (row) {
            return row.id
        });
    }
  
  function deleteAll(){

		jp.confirm('确认要删除该工程建设阶段记录吗？', function(){
			jp.loading();  	
			jp.get("${ctx}/filing/constructionStage/deleteAll?ids=" + getIdSelections(), function(data){
         	  		if(data.success){
         	  			$('#basicTable').bootstrapTable('refresh');
         	  			jp.success(data.msg);
         	  		}else{
         	  			jp.error(data.msg);
         	  		}
         	  	})
          	   
		})
  }
  
    //刷新列表
  function refresh() {
      $('#basicTable').bootstrapTable('refresh');
  }
  function add(){
	  jp.openSaveDialog('新增工程建设阶段', "${ctx}/filing/constructionStage/form",'1000px', '800px');
  }
  
   function edit(id){//没有权限时，不显示确定按钮
       if(id == undefined){
	      id = getIdSelections();
	}
	jp.openSaveDialog('编辑工程建设阶段', "${ctx}/filing/constructionStage/form?id=" + id, '800px', '500px');
  }

 function view(id){//没有权限时，不显示确定按钮
      if(id == undefined){
             id = getIdSelections();
      }
        jp.openViewDialog('查看工程建设阶段', "${ctx}/filing/constructionStage/form?id=" + id, '800px', '500px');
 }


	function addRow(list, idx, tpl, row){
		$(list).append(Mustache.render(tpl, {
			idx: idx, delBtn: true, row: row
		}));
	}
			
</script>


